Bug 431729 - ntpd -x doesn't disable kernel discipline
ntpd -x doesn't disable kernel discipline
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ntp (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Miroslav Lichvar
Brian Brock
:
Depends On: 431728
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 13:04 EST by Miroslav Lichvar
Modified: 2015-05-20 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:16:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 68712 None None None Never

  None (edit)
Description Miroslav Lichvar 2008-02-06 13:04:33 EST
+++ This bug was initially created as a clone of Bug #431728 +++

Description of problem:
ntpd doesn't disable kernel discipline when -x option is used or step threshold
is set to a larger value.

miscopt.html from ntp documentation has:
       step step
            The argument is the step threshold, which by default
            is 0.128 s. It can be set to any positive number in
            seconds. If set to zero, step adjustments will never
            occur. Note: The kernel time discipline is disabled
            if the step threshold is set to zero or greater than
            the default.

This is related to bug #154625 which was fixed by suspending kernel discipline
when offset was larger than 0.5s, but disabling kernel discipline completely is
the correct fix (https://support.ntp.org/bugs/show_bug.cgi?id=628).

Version-Release number of selected component (if applicable):
ntp-4.2.0.a.20040617-6.el4

How reproducible:
Always

Steps to Reproduce:
1. ntpd -x
2. wait until ntpd is synced
2. ntptime | grep status
  
Actual results:
status 0x1 (PLL)

Expected results:
status 0x40 (UNSYNC)

Additional info:
Comment 1 RHEL Product and Program Management 2008-06-02 16:19:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 errata-xmlrpc 2009-01-20 16:16:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0125.html

Note You need to log in before you can comment on or make changes to this bug.